Subject: RE: [Megaco] Basic doubt

From: [email-masked]
Date: Wed, 5 Sep 2001 20:31:58 +0530

Hi Brian

Does this also imply that if a command in Action 1 fails, then the commands in
Action 2 will not be executed.

Regards
Vivek

"Rosen, Brian" <[email-masked]> on 09/05/2001 07:22:10 PM

To:   "[email-masked]'" <[email-masked]>
cc:   "[email-masked]'" <[email-masked]> (bcc: Vivek Bansal/HSS)

Subject:  RE: [Megaco] Basic doubt

Actually, all commands within a transaction are executed sequentially.
That means that all commands in Action 1 are executed sequentially
before any commands in Action 2, and then all commands in Action 2
are executed sequentially before any commands in Action 3...

Brian

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Wednesday, September 05, 2001 9:44 AM
> To: [email-masked]
> Subject: [Megaco] Basic doubt
>
>
> Hi,
>
> I want to clarify one point in the RFC3015 section 8 - "Transactions
> guarantee ordered Command processing.  That is, Commands
>    within a Transaction are executed sequentially.".   Am I
> right in my
> interpretation that all commands within one action in a
> transaction are
> executed sequentially.
>
> For e.g.
>
> Transaction 1{
>    Action 1{}
>    Action 2{}
>    Action 3{}
> }
>
> So here Action2 could be executed before Action1 but all the
> commands within
> any Action are always executed sequentially.
>
> Is my interpretation correct ?
>
> Regards,
> Kishore
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco
>

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Wed, 5 Sep 2001 11:28:17 -0400

HI Vivek,
If a command in Action1 fails further commands (whether they belong to
Action1 or Action2) doesn't get executed. The only exception being the
optional commands.

Regards
Madhubabu
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: Wednesday, September 05, 2001 11:02 AM
To: Rosen, Brian
Cc: [email-masked]'; [email-masked]'
Subject: RE: [Megaco] Basic doubt

Hi Brian

Does this also imply that if a command in Action 1 fails, then the commands
in
Action 2 will not be executed.

Regards
Vivek

To:   "[email-masked]'"
<[email-masked]>
cc:   "[email-masked]'" <[email-masked]> (bcc: Vivek Bansal/HSS)

Brian

---

From: "Atanum" <[email-masked]>
Date: Thu, 6 Sep 2001 14:07:22 +0530

Hi all,
I have some queries on this string..
Say a Megacomessage which has been sent gets delayed or some how get lost in
the network.
The Message sent after the former reaches safely and is handed over to the
application over the megaco stack.
Now the timer for the first message times out and the first message is send
again... Now who should keep track of
which of the message is first and which is second...

Should it be in some way that for each gateway a process will keep track of
the message sent to the gateway and the reply received from it
and then only the next message be sent.. or is there a way to find out which
message should be executed first and which one second...

Can somebody please clarify this...

---

From: Troy Cauble <[email-masked]>
Date: Thu, 06 Sep 2001 14:27:39 -0400

> Can somebody please clarify this...

Section 9.1 suggests optional rules to address this for MGC -> MG messages.

	"MGCs that want to guarantee consistent operation of the MG
	*MAY* use the following rules..."

There is currently nothing in place to guarantee ordered
delivery for MG -> MGC messages, since #3 in 9.1 was removed
by the IG.  I think we need something and recently brought 
this up in the mailing list (see the thread "maintaining the 
order of events").

-troy